Subject: bug#27217: texlive is too big

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 10 Jan 2019 20:01:29 +0100

Pierre Neidhardt <[email-masked]> writes:

>> Yes, the SVN repo does include generated files.  That’s not great, but
>> we can choose to ignore those files (as we do in other projects).
>
> And the builder should take care not to discard .sty / .cls files that are not
> going to be generated.  I believe that in all cases the basename remains the
> same between .dtx/.ins and .sty/.cls.  Then it's easy to know which one to keep and
> which one to discards.

Well, we do ignore the generated files already whenever we can.

> So what do you think of the tlpdb approach for a new tex-build-system?

I don’t know what exactly this entails.  I’m happy to see patches for
this.  Anything that improves the current state of TeXlive support in
Guix would be worth looking into.

--
Ricardo